Google maps: "This API project is not authorized to use this API" error

This message is displayed when you have not enabled one or more of the Google Maps APIs on your project which are required for the plugin to function.

The Places API is required for address fields – the autosuggest will display this message if you do not enable the Places API.

The Geocoding API is required for adding and editing marker addresses – the plugin cannot translate addresses into coordinates without the Geocoding API.

You must enable the following APIs for the plugin to be functional:

  • Google Maps JavaScript API
  • Google Maps Geocoding API
  • Google Maps Places API

Please refer to the documentation on creating a Google Maps API Key for full instructions.